StarPU Handbook

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Groups Pages
Typedefs
starpu_mpi.h File Reference
`#include <starpu.h>`
`#include <mpi.h>`

Go to the source code of this file.

## Typedefs
typedef void * | starpu_mpi_req

## Functions
Communication
int | starpu_mpi_isend (starpu_data_handle_t data_handle, starpu_mpi_req *req, int dest, int mpi_tag, MPI_Comm comm)
int | starpu_mpi_irecv (starpu_data_handle_t data_handle, starpu_mpi_req *req, int source, int mpi_tag, MPI_Comm comm)
int | starpu_mpi_send (starpu_data_handle_t data_handle, int dest, int mpi_tag, MPI_Comm comm)
int | starpu_mpi_recv (starpu_data_handle_t data_handle, int source, int mpi_tag, MPI_Comm comm, MPI_Status *status)
int | starpu_mpi_isend_detached (starpu_data_handle_t data_handle, int dest, int mpi_tag, MPI_Comm comm, void(*callback)(void *), void *arg)
int | starpu_mpi_irecv_detached (starpu_data_handle_t data_handle, int source, int mpi_tag, MPI_Comm comm, void(*callback)(void *), void *arg)
int | starpu_mpi_wait (starpu_mpi_req *req, MPI_Status *status)
int | starpu_mpi_test (starpu_mpi_req *req, int *flag, MPI_Status *status)
int | starpu_mpi_barrier (MPI_Comm comm)
int | starpu_mpi_isend_detached_unlock_tag (starpu_data_handle_t data_handle, int dest, int mpi_tag, MPI_Comm comm, starpu_tag_t tag)
int | starpu_mpi_irecv_detached_unlock_tag (starpu_data_handle_t data_handle, int source, int mpi_tag, MPI_Comm comm, starpu_tag_t tag)
int | starpu_mpi_isend_array_detached_unlock_tag (unsigned array_size, starpu_data_handle_t *data_handle, int *dest, int *mpi_tag, MPI_Comm *comm, starpu_tag_t tag)
int | starpu_mpi_irecv_array_detached_unlock_tag (unsigned array_size, starpu_data_handle_t *data_handle, int *source, int *mpi_tag, MPI_Comm *comm, starpu_tag_t tag)
Initialisation
int | starpu_mpi_init (int *argc, char ***argv, int initialize_mpi)
int | starpu_mpi_initialize (void)
int | starpu_mpi_initialize_extended (int *rank, int *world_size)
int | starpu_mpi_shutdown (void)
void | starpu_mpi_comm_amounts_retrieve (size_t *comm_amounts)
MPI Insert Task
int | starpu_mpi_insert_task (MPI_Comm comm, struct starpu_codelet *codelet,...)
void | starpu_mpi_get_data_on_node (MPI_Comm comm, starpu_data_handle_t data_handle, int node)
void | starpu_mpi_get_data_on_node_detached (MPI_Comm comm, starpu_data_handle_t data_handle, int node, void(*callback)(void *), void *arg)
void | starpu_mpi_data_register (starpu_data_handle_t data_handle, int tag, int rank)
Collective Operations
void | starpu_mpi_redux_data (MPI_Comm comm, starpu_data_handle_t data_handle)
int | starpu_mpi_scatter_detached (starpu_data_handle_t *data_handles, int count, int root, MPI_Comm comm, void(*scallback)(void *), void *sarg, void(*rcallback)(void *), void *rarg)
int | starpu_mpi_gather_detached (starpu_data_handle_t *data_handles, int count, int root, MPI_Comm comm, void(*scallback)(void *), void *sarg, void(*rcallback)(void *), void *rarg)
Communication Cache
void | starpu_mpi_cache_flush (MPI_Comm comm, starpu_data_handle_t data_handle)
void | starpu_mpi_cache_flush_all_data (MPI_Comm comm)